HDF: mfhdf/hdiff/hdiff.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdiff.h File Reference
`#include "hdf.h"`
`#include "mfhdf.h"`
`#include "nc_priv.h"`
`#include "hdiff_table.h"`

## Data Structures
struct | ncdim
struct | ncvar
struct | ncatt
struct | diff_opt_t

## Macros
#define | MAX_DIFF 0x7FFFFFFF

## Enumerations
enum | Nclang { LANG_NONE , LANG_C , LANG_F }

## Functions
uint32 | hdiff (const char *fname1, const char *fname2, diff_opt_t *opt)
void | make_vars (char *optarg, diff_opt_t *opt, int option)
uint32 | gattr_diff (int32 sdid1, int32 sdid2, diff_opt_t *opt)
void | pr_att_vals (nc_type type, int len, void *vals)
uint32 | array_diff (void *buf1, void *buf2, uint32 tot_cnt, const char *name1, const char *name2, int rank, int32 *dims, int32 type, float32 err_limit, float32 err_rel, uint32 max_err_cnt, int32 statistics, void *fill1, void *fill2)
uint32 | match (uint32 nobjects1, dtable_t *list1, uint32 nobjects2, dtable_t *list2, int32 sd1_id, int32 gr1_id, int32 file1_id, int32 sd2_id, int32 gr2_id, int32 file2_id, diff_opt_t *opt)
uint32 | diff (int32 file1_id, int32 file2_id, int32 sd1_id, int32 sd2_id, int32 gr1_id, int32 gr2_id, char *obj1_name, char *obj2_name, int32 tag1, int32 ref1, int32 tag2, int32 ref2, diff_opt_t *opt)
void | print_dims (int r, int32 *d)
uint32 | diff_vs (int32 file1_id, int32 file2_id, int32 ref1, int32 ref2, diff_opt_t *opt)
uint32 | diff_gr (int32 gr1_id, int32 gr2_id, int32 ref1, int32 ref2, diff_opt_t *opt)
uint32 | diff_sds (int32 sd1_id, int32 sd2_id, int32 ref1, int32 ref2, diff_opt_t *opt)

## Macro Definition Documentation

## ◆ MAX_DIFF

#define MAX_DIFF 0x7FFFFFFF

## Enumeration Type Documentation

## ◆ Nclang

enum Nclang

Enumerator
LANG_NONE |
LANG_C |
LANG_F |

## Function Documentation

## ◆ array_diff()

uint32 array_diff | ( | void * | buf1,
|  | void * | buf2,
|  | uint32 | tot_cnt,
|  | const char * | name1,
|  | const char * | name2,
|  | int | rank,
|  | int32 * | dims,
|  | int32 | type,
|  | float32 | err_limit,
|  | float32 | err_rel,
|  | uint32 | max_err_cnt,
|  | int32 | statistics,
|  | void * | fill1,
|  | void * | fill2 )

## ◆ diff()

uint32 diff | ( | int32 | file1_id,
|  | int32 | file2_id,
|  | int32 | sd1_id,
|  | int32 | sd2_id,
|  | int32 | gr1_id,
|  | int32 | gr2_id,
|  | char * | obj1_name,
|  | char * | obj2_name,
|  | int32 | tag1,
|  | int32 | ref1,
|  | int32 | tag2,
|  | int32 | ref2,
|  | diff_opt_t * | opt )

## ◆ diff_gr()

uint32 diff_gr | ( | int32 | gr1_id,
|  | int32 | gr2_id,
|  | int32 | ref1,
|  | int32 | ref2,
|  | diff_opt_t * | opt )

## ◆ diff_sds()

uint32 diff_sds | ( | int32 | sd1_id,
|  | int32 | sd2_id,
|  | int32 | ref1,
|  | int32 | ref2,
|  | diff_opt_t * | opt )

## ◆ diff_vs()

uint32 diff_vs | ( | int32 | file1_id,
|  | int32 | file2_id,
|  | int32 | ref1,
|  | int32 | ref2,
|  | diff_opt_t * | opt )

## ◆ gattr_diff()

uint32 gattr_diff | ( | int32 | sdid1,
|  | int32 | sdid2,
|  | diff_opt_t * | opt )

## ◆ hdiff()

uint32 hdiff | ( | const char * | fname1,
|  | const char * | fname2,
|  | diff_opt_t * | opt )

## ◆ make_vars()

void make_vars | ( | char * | optarg,
|  | diff_opt_t * | opt,
|  | int | option )

## ◆ match()

uint32 match | ( | uint32 | nobjects1,
|  | dtable_t * | list1,
|  | uint32 | nobjects2,
|  | dtable_t * | list2,
|  | int32 | sd1_id,
|  | int32 | gr1_id,
|  | int32 | file1_id,
|  | int32 | sd2_id,
|  | int32 | gr2_id,
|  | int32 | file2_id,
|  | diff_opt_t * | opt )

## ◆ pr_att_vals()

void pr_att_vals | ( | nc_type | type,
|  | int | len,
|  | void * | vals )

## ◆ print_dims()

void print_dims | ( | int | r,
|  | int32 * | d )